Bug 979764 - Fan do not stay at set speed
Fan do not stay at set speed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: i8kutils (Show other bugs)
19
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-30 07:21 EDT by Thiago Macedo
Modified: 2013-07-26 07:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-26 07:36:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thiago Macedo 2013-06-30 07:21:11 EDT
Setting a value for fan speed doesn't fix the value. After 20 seconds the fan comes back to it initial speed, making i8kfan useless. Also i8kmon suffer from the same issue.

A debian bug comment seems to workaround the problem but it is harder to make on RHEL

https://bugs.launchpad.net/i8kutils/+bug/410596/comments/5


How reproducible:


Steps to Reproduce:
1. Setup i8kutils
2. Configure module and startup
3. Lunch i8kmon to monitore changes

Actual results:

Seems like smm program sets the value back. But the main problem is i8k doesn't see the change anymore - even after the fan speed reset to 2 by smm, i8kmon still see the fan speed at the value it sets (1).

Expected results:

i8kmon should detect smm speed change or/else took place over smm action.

Additional info:

I'm on a Dell Inspiron N4030 and bios do not have any configuration. Also I haven't found a way to configure smm in fedora.
Comment 1 Fedora End Of Life 2013-07-03 20:10:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Thiago Macedo 2013-07-14 01:57:29 EDT
The problem continue. How to block BIOS smm from changing fan speed?
I'm running a script daemon to verify the temperature but it keeps fighting with the smm.
Comment 3 Thiago Macedo 2013-07-26 07:36:56 EDT
I have fixed the problem following the instructions on this comment

https://bugs.launchpad.net/i8kutils/+bug/410596/comments/5

Download the i8kutils source and compile the smm tool to disable the interference of BIOS.


A good approach would be to have this as default when using i8kmon - but appears it is no longer maintained.

Note You need to log in before you can comment on or make changes to this bug.